| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
Gaudi::Parsers::PragmaOptions Class Referencefinal

`#include <src/JobOptionsSvc/PragmaOptions.h>`

Collaboration diagram for Gaudi::Parsers::PragmaOptions:
[legend]

## Public Member Functions
| PragmaOptions ()=default
bool | is_print () const
void | setIsPrint (bool is_print)
bool | is_print_options () const
void | setIsPrintOptions (bool is_print_options)
bool | is_print_tree () const
void | setIsPrintTree (bool is_print_tree)
const std::string & | dumpFile () const
void | setDumpFile (std::string dump_file)
bool | IsPrintOptions ()
bool | IsPrintTree ()
bool | HasDumpFile ()

## Private Attributes
bool | m_is_print = true
bool | m_is_print_options = false
bool | m_is_print_tree = false
std::string | m_dump_file

## Detailed Description

Definition at line 22 of file PragmaOptions.h.

## Constructor & Destructor Documentation

Gaudi::Parsers::PragmaOptions::PragmaOptions | ( |  | ) |
| default

## Member Function Documentation

const std::string& Gaudi::Parsers::PragmaOptions::dumpFile | ( |  | ) | const
| inline

Definition at line 37 of file PragmaOptions.h.

37 { return m_dump_file;}
Gaudi::Parsers::PragmaOptions::m_dump_file
std::string m_dump_file
Definition: PragmaOptions.h:50

bool Gaudi::Parsers::PragmaOptions::HasDumpFile | ( |  | ) |
| inline

Definition at line 44 of file PragmaOptions.h.

44 { return !m_dump_file.empty();}
std::string::empty
T empty(T...args)
Gaudi::Parsers::PragmaOptions::m_dump_file
std::string m_dump_file
Definition: PragmaOptions.h:50

bool Gaudi::Parsers::PragmaOptions::is_print | ( |  | ) | const
| inline

Definition at line 26 of file PragmaOptions.h.

26 { return m_is_print;}
Gaudi::Parsers::PragmaOptions::m_is_print
bool m_is_print
Definition: PragmaOptions.h:47

bool Gaudi::Parsers::PragmaOptions::is_print_options | ( |  | ) | const
| inline

Definition at line 29 of file PragmaOptions.h.

29 { return m_is_print_options;}
Gaudi::Parsers::PragmaOptions::m_is_print_options
bool m_is_print_options
Definition: PragmaOptions.h:48

bool Gaudi::Parsers::PragmaOptions::is_print_tree | ( |  | ) | const
| inline

Definition at line 33 of file PragmaOptions.h.

33 { return m_is_print_tree;}
Gaudi::Parsers::PragmaOptions::m_is_print_tree
bool m_is_print_tree
Definition: PragmaOptions.h:49

bool Gaudi::Parsers::PragmaOptions::IsPrintOptions | ( |  | ) |
| inline

Definition at line 42 of file PragmaOptions.h.

42 { return is_print_options() && is_print();}
Gaudi::Parsers::PragmaOptions::is_print_options
bool is_print_options() const
Definition: PragmaOptions.h:29
Gaudi::Parsers::PragmaOptions::is_print
bool is_print() const
Definition: PragmaOptions.h:26

bool Gaudi::Parsers::PragmaOptions::IsPrintTree | ( |  | ) |
| inline

Definition at line 43 of file PragmaOptions.h.

43 { return is_print_tree() && is_print();}
Gaudi::Parsers::PragmaOptions::is_print_tree
bool is_print_tree() const
Definition: PragmaOptions.h:33
Gaudi::Parsers::PragmaOptions::is_print
bool is_print() const
Definition: PragmaOptions.h:26

void Gaudi::Parsers::PragmaOptions::setDumpFile | ( | std::string | dump_file | ) |
| inline

Definition at line 38 of file PragmaOptions.h.

38 {
39 m_dump_file = std::move(dump_file);
40 }
std::move
T move(T...args)
Gaudi::Parsers::PragmaOptions::m_dump_file
std::string m_dump_file
Definition: PragmaOptions.h:50

void Gaudi::Parsers::PragmaOptions::setIsPrint | ( | bool | is_print | ) |
| inline

Definition at line 27 of file PragmaOptions.h.

27 { m_is_print = is_print; }
Gaudi::Parsers::PragmaOptions::m_is_print
bool m_is_print
Definition: PragmaOptions.h:47
Gaudi::Parsers::PragmaOptions::is_print
bool is_print() const
Definition: PragmaOptions.h:26

void Gaudi::Parsers::PragmaOptions::setIsPrintOptions | ( | bool | is_print_options | ) |
| inline

Definition at line 30 of file PragmaOptions.h.

31 { m_is_print_options = is_print_options; }
Gaudi::Parsers::PragmaOptions::is_print_options
bool is_print_options() const
Definition: PragmaOptions.h:29
Gaudi::Parsers::PragmaOptions::m_is_print_options
bool m_is_print_options
Definition: PragmaOptions.h:48

void Gaudi::Parsers::PragmaOptions::setIsPrintTree | ( | bool | is_print_tree | ) |
| inline

Definition at line 34 of file PragmaOptions.h.

35 { m_is_print_tree = is_print_tree; }
Gaudi::Parsers::PragmaOptions::m_is_print_tree
bool m_is_print_tree
Definition: PragmaOptions.h:49
Gaudi::Parsers::PragmaOptions::is_print_tree
bool is_print_tree() const
Definition: PragmaOptions.h:33

## Member Data Documentation

std::string Gaudi::Parsers::PragmaOptions::m_dump_file
| private

Definition at line 50 of file PragmaOptions.h.

bool Gaudi::Parsers::PragmaOptions::m_is_print = true
| private

Definition at line 47 of file PragmaOptions.h.

bool Gaudi::Parsers::PragmaOptions::m_is_print_options = false
| private

Definition at line 48 of file PragmaOptions.h.

bool Gaudi::Parsers::PragmaOptions::m_is_print_tree = false
| private

Definition at line 49 of file PragmaOptions.h.

The documentation for this class was generated from the following file:

- GaudiCoreSvc/src/JobOptionsSvc/PragmaOptions.h